FIX::NullStore Class Reference

Null implementation of MessageStore. More...

`#include <NullStore.h>`

Inheritance diagram for FIX::NullStore:
[legend]
Collaboration diagram for FIX::NullStore:
[legend]

## Public Member Functions

| NullStore ()
bool | set (int, const std::string &) throw ( IOException )
void | get (int, int, std::vector< std::string > &) const throw ( IOException )
int | getNextSenderMsgSeqNum () const throw ( IOException )
int | getNextTargetMsgSeqNum () const throw ( IOException )
void | setNextSenderMsgSeqNum (int value) throw ( IOException )
void | setNextTargetMsgSeqNum (int value) throw ( IOException )
void | incrNextSenderMsgSeqNum () throw ( IOException )
void | incrNextTargetMsgSeqNum () throw ( IOException )
void | setCreationTime (const UtcTimeStamp &creationTime) throw ( IOException )
UtcTimeStamp | getCreationTime () const throw ( IOException )
void | reset () throw ( IOException )
void | refresh () throw ( IOException )
Public Member Functions inherited from FIX::MessageStore
virtual | ~MessageStore ()

## Private Attributes

int | m_nextSenderMsgSeqNum
int | m_nextTargetMsgSeqNum
UtcTimeStamp | m_creationTime

## Detailed Description

Null implementation of MessageStore.

Will not actually store messages. Useful for admin-only or market data-only applications.

Definition at line 75 of file NullStore.h.

## Constructor & Destructor Documentation

## NullStore()

FIX::NullStore::NullStore | ( |  | ) |

inline

Definition at line 78 of file NullStore.h.

{ m_creationTime = creationTime; }

References m_creationTime.

## Member Function Documentation

## get()

void FIX::NullStore::get | ( | int | begin,
|  | int | end,
|  | std::vector< std::string > & | messages
| ) |  | const
throw | ( | IOException
| ) |  |

virtual

Implements FIX::MessageStore.

Definition at line 64 of file NullStore.cpp.

## getCreationTime()

UtcTimeStamp FIX::NullStore::getCreationTime | ( |  | ) | const
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 98 of file NullStore.h.

## getNextSenderMsgSeqNum()

int FIX::NullStore::getNextSenderMsgSeqNum | ( |  | ) | const
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 83 of file NullStore.h.

{

## getNextTargetMsgSeqNum()

int FIX::NullStore::getNextTargetMsgSeqNum | ( |  | ) | const
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 85 of file NullStore.h.

{
m_nextSenderMsgSeqNum = 1; m_nextTargetMsgSeqNum = 1;

References m_nextSenderMsgSeqNum, and m_nextTargetMsgSeqNum.

## incrNextSenderMsgSeqNum()

void FIX::NullStore::incrNextSenderMsgSeqNum | ( |  | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 91 of file NullStore.h.

:
int m_nextSenderMsgSeqNum;

## incrNextTargetMsgSeqNum()

void FIX::NullStore::incrNextTargetMsgSeqNum | ( |  | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 93 of file NullStore.h.

## refresh()

void FIX::NullStore::refresh | ( |  | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 106 of file NullStore.h.

## reset()

void FIX::NullStore::reset | ( |  | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 101 of file NullStore.h.

## set()

bool FIX::NullStore::set | ( | int | msgSeqNum,
|  | const std::string & | msg
| ) |  |
throw | ( | IOException
| ) |  |

virtual

Implements FIX::MessageStore.

Definition at line 58 of file NullStore.cpp.

## setCreationTime()

void FIX::NullStore::setCreationTime | ( | const UtcTimeStamp & | creationTime | ) |
throw | ( | IOException
| ) |  |

inline

Definition at line 96 of file NullStore.h.

## setNextSenderMsgSeqNum()

void FIX::NullStore::setNextSenderMsgSeqNum | ( | int | value | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 87 of file NullStore.h.

{}

## setNextTargetMsgSeqNum()

void FIX::NullStore::setNextTargetMsgSeqNum | ( | int | value | ) |
throw | ( | IOException
| ) |  |

inline virtual

Implements FIX::MessageStore.

Definition at line 89 of file NullStore.h.

{}

## Member Data Documentation

## m_creationTime

UtcTimeStamp FIX::NullStore::m_creationTime

private

Definition at line 111 of file NullStore.h.

Referenced by NullStore().

## m_nextSenderMsgSeqNum

int FIX::NullStore::m_nextSenderMsgSeqNum

private

Definition at line 109 of file NullStore.h.

Referenced by getNextTargetMsgSeqNum().

## m_nextTargetMsgSeqNum

int FIX::NullStore::m_nextTargetMsgSeqNum

private

Definition at line 110 of file NullStore.h.

Referenced by getNextTargetMsgSeqNum().

The documentation for this class was generated from the following files:

- NullStore.h
- NullStore.cpp

FIX::NullStore::m_nextSenderMsgSeqNum
int m_nextSenderMsgSeqNum
Definition: NullStore.h:109
FIX::NullStore::m_creationTime
UtcTimeStamp m_creationTime
Definition: NullStore.h:111
FIX::NullStore::m_nextTargetMsgSeqNum
int m_nextTargetMsgSeqNum
Definition: NullStore.h:110